# Class CIM_ErrorCountersForDevice
extends CIM_Statistics

ErrorCountersForDevice relates the DeviceErrorCounts class to the LogicalDevice to which it applies.

### Table of Contents
Hierarchy
Direct Known Subclasses
Class Qualifiers
Class Properties
Class Methods

## Class Hierarchy

CIM_Statistics
|
+--CIM_ErrorCountersForDevice

## Direct Known Subclasses

## Class Qualifiers

Name | Data Type | Value
--- | --- | ---
Association | boolean | true
Description | string | ErrorCountersForDevice relates the DeviceErrorCounts class to the LogicalDevice to which it applies.
UMLPackagePath | string | CIM::Device::DeviceElements
Version | string | 2.10.0

## Class Properties

### Association References

Name | Class Origin | Reference Class
--- | --- | ---
Element | CIM_ErrorCountersForDevice | CIM_LogicalDevice
Stats | CIM_ErrorCountersForDevice | CIM_DeviceErrorCounts

## Class Methods